Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientResultSetConverter

java.lang.Object
com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesResultSetConverter
org.openjump.core.ui.plugin.datastore.ocient.OcientResultSetConverter

    public class OcientResultSetConverter
    extends com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesResultSetConverter

Implements the mapping between a result set and a `FeatureSchema` and `Feature` set. This is a transient worker class, whose lifetime should be no longer than the lifetime of the provided ResultSet

## Field Summary

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesResultSetConverter

`featureSchema, isInitialized, mapper, odm, rs`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientResultSetConverter​(Connection conn, ResultSet rs)` |

## Method Summary

### Methods inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesResultSetConverter

`getFeature, getFeatureSchema`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientResultSetConverter

public OcientResultSetConverter​(Connection conn, ResultSet rs)